###BuildRequires:-post-build-checks

# norootforbuild

Name:		sword
Version:	1.6.2
Release:	4.3

Summary:	A framework for manipulating Bible texts
License:	GPL
Url: 		http://www.crosswire.org/sword
Group:		System/Libraries

Source0:	http://www.crosswire.org/ftpmirror/pub/sword/source/v1.5/sword-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	clucene-core-devel curl-devel gcc-c++ icu libcppunit-devel libicu-devel pkgconfig zlib-devel


%description
The SWORD Project is an effort to create an ever expanding software package for 
research and study of God and His Word.
The SWORD Bible Framework allows easy manipulation of Bible texts, commentaries,
lexicons, dictionaries, etc.  Many frontends are build using this framework.
An installed module set may be shared between any frontend using the framework.


%package devel
Summary:	Include files and static libraries for developing sword applications
Group:		Development/Libraries/C and C++
Requires:	sword = %{version}


%description devel
Include files and static libraries for developing sword applications. This package
is required to compile Sword frontends, too.





%prep
%setup -q


%build
%configure --disable-static
%__make %{?jobs:-j %jobs}


%install
%makeinstall
%__rm -f %{buildroot}/%{_libdir}/*.la


%clean
%{__rm} -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so*
%config %{_sysconfdir}/sword.conf
%dir %{_datadir}/sword
%dir %{_datadir}/sword/locales.d
%{_datadir}/sword/locales.d/*
%dir %{_datadir}/sword/mods.d
%{_datadir}/sword/mods.d/globals.conf
%dir %{_libdir}/sword
%dir %{_libdir}/sword/1.6.2_icu_*
%{_libdir}/sword/1.6.2_icu_*/*.res

%files devel
%defattr(-,root,root)
%doc doc/*
%doc CODINGSTYLE
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Nov 14 2010 - Detlef Reichelt <detlef@links2linux.de> 1.6.2
- new upstream version <1.6.2>
  * Fixed parsing book names containing the letter 'f'
    from Ben Morgan
  * Fixed imp2vs not flushing cache before exiting when
    creating compressed modules
  * Fixed LZSS compression
  * Allow <hi> to be nested in any order in OSIS markup
  * Updates to allow hyphenated book names
  * Added a file to SWIG bindings to enable compilation
    of Perl bindings, which lacked stl_multimap.i
  * Added support for building Python and Perl with CMake
  * Updated demo Perl script to reflect new API changes
  * Added CMake build system, contributed by GHellings
  * Set verse to 1 when changing chapter and book in VerseKey
  * Fixed a bug where book designations ending in 'f' would
    trigger the verse+'f'/'ff' feature.
  * Fixed curl bug which seems to hold on to progress
    object even after scope of data retrival

* Thu Aug 05 2010 Detlef Reichelt <detlef@links2linux.de> 1.6.1-3
- add curl patch

* Sat Feb 06 2010 Detlef Reichelt <detlef@links2linux.de> 1.6.1
- fix BuildRequires

* Fri Feb 05 2010 Detlef Reichelt <detlef@links2linux.de> 1.6.1
- new upstream version <1.6.1>
  * Added locales.d/locales.conf - a special locale which can be queried for
    localize and English lang names
  * New supported v11n systems: german kjva leningrad luther mt nrsva nrsv
    synodal vulg <chrislit@crosswire.org>
  * Updated installmgr util to allow multiple commands and update dl progress
  * Added progress reporting to FtpLib transport
  * Added ability to cancel during file transport, per Eeli's suggestion
  * Increased clucene buffer size - mwtalbert
  * On clucene index creation, error out on no write perms - mwtalbert
  * Added initial impl for CurlHTTPTransport submitted by Nic Carter
  * Added initial Android ifdefs to get things compiling under the Android NDK
  * Added bindings/java-jni for Android development
  * Added checks for Hebrew and Arabic when stripping for searching

* Wed Aug 05 2009 Detlef Reichelt <detlef@links2linux.de> 1.6.0
- new upstream version <1.6.0>
  * General cleanup and prep for release
  * Added ability for (SWBuf("xxx") == (const char *)0) to
    return false;
  * Added OSIS Header logic to accept:
    <div subType="x-preverse" sID="xyz"/>
  * Added initial set of v11n schemes (Chris Little):
    KJV, Leningrad, MT, KJVA, NRSV, NRSVA
  * Added '.' feature for entryAttrib search, e.g,
    Word//Lemma./G932/ will find in Lemma, Lemma.1, etc.
  * Added LocalePath feature in sword.conf
  * Added Maltese bookname translation prepared by C. S.
  * Added new methods to SWModule:
    bool isLinked(SWKey *k1, SWKey *k2)
      - are two entries linked
    bool hasEntry(SWKey *k1)
      - does an entry for the given key exist?
  * Added new methods to SWLD
    long getEntryCount()
      - number of entries in the dictionary
    getKeyForEntry(long entry)
      - get the key for the nth entry
    getEntryForKey(const char *key)
      - get the index for the given key
  * Updated strongsPad to work with keys with a prefix of G or H
  * Fixed a bug in SWMgr which would load certain files in the
    mods.d directory which shouldn't have been loaded.
  * Fix for divineName with non-ascii text in OSISHTMLHREF filter
  * Added fallback checks for OS specific module
  * Added list support in OSIS HTML conversion (ghellings)
  * Added ignore of comment lines starting with '#'
    in SWConfig processing
  * Added requirement to call setUserDisclaimerConfirmed
    in InstallMgr before remote functions operate
  * Added refreshRemoteSourceConfiguration to sync a
    local InstallMgr.conf with a master remote list
  * Added ability for InstallMgr to use username/passwd
    supplied by either .conf or globally in c-tor
  * Added VerseMgr to abstract versification scheme
    functionality
  * Included 1 versification scheme: KJV
  * Added param on SWBuf::stripPrefix to allow use more
    like a safe string tokenizer to replace strtok
  * Added two Chinese bookname translations provided by
    F. Lee
  * Added getOSISRefRangeText to SWKey- not yetimplemented
    ideally or even correctly for all SWKey types
* Sat Aug 30 2008 Quentin Denis <quentin@links2linux.de>
- update to upstream 1.5.11
* Fri Feb 23 2007 Quentin Denis <quentin@links2linux.de>
- added pkgconfig and libcurl support
* Tue Sep 21 2006 Quentin Denis <quentin@links2linux.de>
- update to 1.5.9
* Mon Jul 18 2005 Quentin Denis <quentin@links2linux.de>
- initial package for SuSE
